@echo off
cls

echo PLANET WLAN WPCMCIA Software Installation
echo  
echo.

if      %1A == A goto Usage
if not  %2C == C goto Usage

if exist %1\NUL goto VerifyDisk

:CreateDir
echo The %1 directory doesn't exist.
echo Install program will create it now.
echo.
pause
md %1
md %1\ODI
md %1\ODIPKT
md %1\PKTDRV
md %1\MSLANMAN.DOS
md %1\MSLANMAN.DOS\DRIVERS
md %1\MSLANMAN.DOS\DRIVERS\NIF
md %1\MSLANMAN.DOS\DRIVERS\ETHERNET
md %1\MSLANMAN.DOS\DRIVERS\ETHERNET\WPCMCIA
md %1\WIN95
md %1\PCMCIA
md %1\PCMCIA\CARDSOFT
if exist %1\NUL goto VerifyDisk
echo.
echo Cannot create directory!!
goto exit

:VerifyDisk
echo Verifying disk...
echo.

if not exist README.TXT             goto BadDisk
if not exist WLU.EXE                goto BadDisk
if not exist ODI\WPCMCIA.COM         goto BadDisk
if not exist ODI\WPCMCIA.INS         goto BadDisk
if not exist ODIPKT\STARTNET.BAT    goto BadDisk
if not exist ODIPKT\NET.CFG         goto BadDisk
if not exist PKTDRV\WPCMCIAP.COM     goto BadDisk
if not exist PKTDRV\README.TXT      goto BadDisk
if not exist MSLANMAN.DOS\DRIVERS\ETHERNET\WPCMCIA\WPCMCIA.DOS   goto BadDisk
if not exist MSLANMAN.DOS\DRIVERS\ETHERNET\WPCMCIA\PROTOCOL.INI goto BadDisk
if not exist MSLANMAN.DOS\DRIVERS\NIF\WPCMCIA.NIF               goto BadDisk
if not exist WIN95\WPCMCIA.SYS       goto BadDisk
if not exist WIN95\WPCMCIA.INF       goto BadDisk
if not exist WIN95\!WPCMCIA.IN_      goto BadDisk
if not exist PCMCIA\CARDSOFT\WPCMCIA.CLB goto BadDisk

echo Copying files...
echo.

copy README.TXT           %1 >NUL
copy WLU.EXE              %1 >NUL

if not exist %1\ODI\NUL md %1\ODI
copy ODI\WPCMCIA.COM       %1\ODI >NUL
copy ODI\WPCMCIA.INS       %1\ODI >NUL

if not exist %1\ODIPKT\NUL md %1\ODIPKT
copy ODIPKT\STARTNET.BAT  %1\ODIPKT >NUL
copy ODIPKT\NET.CFG       %1\ODIPKT >NUL

if not exist %1\PKTDRV\NUL md %1\PKTDRV
copy PKTDRV\WPCMCIAP.COM   %1\PKTDRV >NUL
copy PKTDRV\README.TXT    %1\PKTDRV >NUL

if not exist %1\MSLANMAN.DOS\NUL md %1\MSLANMAN.DOS
if not exist %1\MSLANMAN.DOS\DRIVERS\NUL md %1\MSLANMAN.DOS\DRIVERS
if not exist %1\MSLANMAN.DOS\DRIVERS\NIF\NUL md %1\MSLANMAN.DOS\DRIVERS\NIF
if not exist %1\MSLANMAN.DOS\DRIVERS\ETHERNET\NUL md %1\MSLANMAN.DOS\DRIVERS\ETHERNET
if not exist %1\MSLANMAN.DOS\DRIVERS\ETHERNET\WPCMCIA\NUL md %1\MSLANMAN.DOS\DRIVERS\ETHERNET\WPCMCIA
copy MSLANMAN.DOS\DRIVERS\ETHERNET\WPCMCIA\WPCMCIA.DOS     %1\MSLANMAN.DOS\DRIVERS\ETHERNET\WPCMCIA >NUL
copy MSLANMAN.DOS\DRIVERS\ETHERNET\WPCMCIA\PROTOCOL.INI   %1\MSLANMAN.DOS\DRIVERS\ETHERNET\WPCMCIA >NUL
copy MSLANMAN.DOS\DRIVERS\NIF\WPCMCIA.NIF                 %1\MSLANMAN.DOS\DRIVERS\NIF >NUL

if not exist %1\WIN95\NUL md %1\WIN95
copy WIN95\*.* %1\WIN95 >NUL

if not exist %1\PCMCIA\NUL md %1\PCMCIA
if not exist %1\PCMCIA\CARDSOFT\NUL md %1\PCMCIA\CARDSOFT
copy PCMCIA\CARDSOFT\WPCMCIA.CLB %1\PCMCIA\CARDSOFT >NUL

echo *************************
echo  Installation Complete !
echo *************************
goto exit

:BadDisk
echo Please insert WLAN WPCMCIA Setup & Utility diskette.
pause
goto exit

:Usage
echo usage:   INSTALL path
echo example: INSTALL C:\WPCMCIA
goto exit

:exit
